Subject: Re: bug#58790: Eglot URI parsing bug when using clojure-lsp server

From: João Távora <[email-masked]>
Date: Wed, 23 Nov 2022 12:54:09 +0000

On Wed, Nov 23, 2022 at 12:49 PM Richard Copley <[email-masked]> wrote:

>
> Thanks, yes.
>
> > > So either url-generic-parse-url and url-type is fixed in url-parse.el,
> or
> > > we must add some Windows-specific guards in eglot.el.  Or likely
> > > both, since url-parse.el is not a :core ELPA package.
>
> I don't think "url-generic-parse-url" needs any fix. It is for parsing a
> URL,
> not deciding if something is a URL.
>

That's... arguable. But OK, if we go with that, then we need a function to
decide if something is an URL, because it's exactly what we're
aiming for to do here.

But let's continue in the other bug report: I've CC'ed you in my last
message.

João